package org.ow2.choreos.sparqlfunctions.constants;

import java.util.HashMap;
import java.util.Map;

public class DecayConstants {
	public static double LIMIT = 0.01;
	static Map<String, Double> decayValues = new HashMap<String, Double>();

	static {
		decayValues.put("noiselevel", 0.1);
		decayValues.put("sound", 0.1);
		decayValues.put("temperature", 0.0);
	}
	
	public static double getDecayValue(String conceptName){
		return  decayValues.get(conceptName);
		
	}
}
