/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package queryTest;

import de.congrace.exp4j.UnknownFunctionException;
import de.congrace.exp4j.UnparsableExpressionException;
import java.util.ArrayList;
import org.junit.*;
import org.ow2.chereos.iots.common.Location;
import org.ow2.choreos.query.constants.Selector;
import org.ow2.choreos.query.constants.Setter;
import org.ow2.choreos.query.constants.Where;
import org.ow2.choreos.query.impl.Query;
import org.ow2.choreos.sparqlfunctions.constants.Concept;

/**
 * 
 * @author krishna
 */
// each test will print all subconcept for a concept
public class SubConceptCheck {

	/**
	 * quality(leaf node in the concept tree) is supplied in Concept print only
	 * the concept passed since no expansion is possible list will contain only
	 * quality
	 */
	@Test
	public void testcomputeQueryConcept3()
			throws UnparsableExpressionException, UnknownFunctionException {
		System.out.println("computeQueryConcept3");
		Query query3 = new Query(new Selector(new Concept("quality")),
				new Setter(new Where("temperature.unit.equals=degreeC")),
				new Location("paris"));
		ArrayList<Concept> value3 = query3.expandConcept();// check all expended
															// concept
		for (int i = 0; i < value3.size(); i++) {
			System.out.println(value3.get(i).getConceptName());
		}

	}

}
