package org.ow2.petals.cd.engine.message;


import org.ow2.petals.cd.engine.listener.JBIListener;
import org.ow2.petals.cd.engine.util.Sender;
import org.ow2.petals.component.framework.api.message.Exchange;

public class JBIContextImpl {

	private final Exchange initialExchange;

	private final Sender sender;

	private final JBIListener listener;



	public JBIContextImpl(final Exchange exchange, final Sender sender, final JBIListener listener) {
		this.initialExchange = exchange;
		this.sender = sender;
		this.listener = listener;
	}

	public Exchange getInitialExchange() {
		return this.initialExchange;
	}

	public Sender getSender() {
		return this.sender;
	}

	public JBIListener getListener() {
		return this.listener;
	}


}
