package org.ow2.petals.cd.engine.util;

import javax.xml.namespace.QName;

public class JBITripletAddress {

	public QName interf;

	public QName service;

	public String endpoint;


	public JBITripletAddress() {

	}

	public JBITripletAddress(QName interf, QName service, String endpoint) {
		this.interf = interf;
		this.service = service;
		this.endpoint = endpoint;
	}

	

	@Override
	public boolean equals(Object obj) {
		if(obj instanceof JBITripletAddress){
			JBITripletAddress o = (JBITripletAddress) obj;
			if(this.interf.equals(o.interf)){
				if(this.service.equals(o.service)){
					if(this.endpoint.equals(o.endpoint)){
						return true;
					}
				}
			}
		}
		return false;
	}

	@Override
	public int hashCode() {
		return this.endpoint.length();
	}
	
	
	@Override
	public String toString() {
		return "jbi address: "+this.interf+"->"+this.service+"::"+this.endpoint;
	}
}
