/****************************************************************************
 * 
 * Copyright (c) 2009-2011, EBM WebSourcing
 * 
 * This source code is available under agreement available at
 * http://www.petalslink.com/legal/licenses/petals-studio
 * 
 * You should have received a copy of the agreement along with this program.
 * If not, write to EBM WebSourcing (4, rue Amelie - 31200 Toulouse, France).
 * 
 *****************************************************************************/

package com.ebmwebsourcing.petals.services.generation.cdk5.components;

import com.ebmwebsourcing.petals.services.generation.cdk5.CdkProvides5BeanDelegate;


/**
 * @author Vincent Zurczak - EBM WebSourcing
 */
public class CDProvides10 extends CdkProvides5BeanDelegate {

	private String ltsFileName;


	/**
	 * Constructor.
	 */
	public CDProvides10() {
		super();
		addNamespace( "cd", "http://petals.ow2.org/components/petals-coordination-delegate-engine/version-1" );
	}


	/*
	 * (non-Jsdoc)
	 * @see com.ebmwebsourcing.petals.common.generation.AbstractJbiXmlBean
	 * #getComponentSection()
	 */
	@Override
	public String getComponentSection() {

		StringBuffer buf = new StringBuffer();
		buf.append( "\t\t\t<cd:lts>" + this.ltsFileName + "</cd:lts>\n" );
		return buf.toString();
	}


	/*
	 * (non-Jsdoc)
	 * @see com.ebmwebsourcing.petals.common.generation.AbstractJbiXmlBean
	 * #getSuType()
	 */
	@Override
	public String getSuType() {
		return "CD";
	}


	public String getLtsFileName() {
		return ltsFileName;
	}


	public void setLtsFileName(String ltsFileName) {
		this.ltsFileName = ltsFileName;
	}
}
