/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.ow2.choreos.sparqlfunctions.constants;

import org.ow2.choreos.sparqlfunctions.impl.SparqlImpl;

import de.congrace.exp4j.Calculable;
import de.congrace.exp4j.ExpressionBuilder;
import de.congrace.exp4j.UnknownFunctionException;
import de.congrace.exp4j.UnparsableExpressionException;

/**
 * 
 * @author abc
 */
public class DecayFormula {

	public double computeDecay(Concept concept)
			throws UnknownFunctionException, UnparsableExpressionException {
		SparqlImpl sparql = new SparqlImpl();
		String formulaExpression = sparql.getInverseDecayFormulaExpression(concept);
		try {
			ExpressionBuilder builder = new ExpressionBuilder(formulaExpression);
			builder = builder.withVariable("limit", 0.01)
					.withVariable(
							"decayFactor",
							DecayConstants.getDecayValue(concept.getConceptName()));
			Calculable calc = builder.build();
			return calc.calculate();
		} catch (NullPointerException e) {
			System.err.println("does not exist in ontology");
			return 0;

		}
	}
}
