/*******************************************************************************
 * Copyright (c) 2011 EBM Websourcing.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * 
 * Contributors:
 *     EBM Websourcing - initial API and implementation
 ******************************************************************************/
package com.ebmwebsourcing.easyesb.component.cd;

import com.ebmwebsourcing.easyesb.component.cd.impl.ESBCDFactoryImpl;
import com.ebmwebsourcing.easyesb.esb.ESBLauncher;
import com.ebmwebsourcing.easyesb.launcher.AbstractNodeLauncher;
import com.ebmwebsourcing.easyesb.soa.api.ESBException;

/**
 * @author Nicolas Salatge - eBM WebSourcing
 * @since
 * 
 */
public class Main {

	/**
	 * @param args
	 * @throws ESBException 
	 */
	public static void main(final String[] args) throws Exception {
		final AbstractNodeLauncher launcher = new  ESBLauncher(new ESBCDFactoryImpl());
		launcher.launch(args);
	}
}
