/*******************************************************************************
 * Copyright (c) 2011 EBM Websourcing.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * 
 * Contributors:
 *     EBM Websourcing - initial API and implementation
 ******************************************************************************/
package com.ebmwebsourcing.easyesb.component.cd.api;

import it.univaq.di.choreos.coordinationprotocol.algorithm.CoordinationDelegateAlgorithm;
import it.univaq.di.choreos.coordinationprotocol.algorithm.model.CoordinationDelegateID;

import org.choreos.genericcdinterface.GenericCDInterface;

import com.ebmwebsourcing.easyesb.component.cd.impl.CoordinationDelegateUtility;
import com.ebmwebsourcing.easyesb.soa.api.endpoint.behaviour.EndpointBehaviour;

import esstar.petalslink.com.data.management.admin._1.Ping;
import esstar.petalslink.com.data.management.admin._1.PingResponse;

public interface CDComponentBehaviour extends EndpointBehaviour, GenericCDInterface {

	public static String DESCRIPTION_URL = "wsdl/genericCDInterface.wsdl";

	public CoordinationDelegateUtility getPrimitives();

	PingResponse ping(Ping arg0);

	public CoordinationDelegateAlgorithm getCoordinationDelegateAlgorithm(CoordinationDelegateID coordinationDelegateID);

}
