/*******************************************************************************
 * Copyright (c) 2011 EBM Websourcing.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * 
 * Contributors:
 *     EBM Websourcing - initial API and implementation
 ******************************************************************************/
package com.ebmwebsourcing.easyesb.component.cd.impl;

import org.oasisopen.sca.annotation.PolicySets;
import org.oasisopen.sca.annotation.Scope;
import org.oasisopen.sca.annotation.Service;

import com.ebmwebsourcing.easyesb.component.cd.api.CDProviderEndpoint;
import com.ebmwebsourcing.easyesb.soa.api.ESBException;
import com.ebmwebsourcing.easyesb.soa.api.SOAElement;
import com.ebmwebsourcing.easyesb.soa.impl.endpoint.ProviderEndpointImpl;
import com.ebmwebsourcing.easyesb.soa10.api.type.ProviderEndpointType;

@Scope("COMPOSITE")
@Service(value=CDProviderEndpoint.class, names="service")
@PolicySets("frascati:scaEasyPrimitive")
public class CDProviderEndpointImpl extends ProviderEndpointImpl<ProviderEndpointType> implements CDProviderEndpoint {

		
	public CDProviderEndpointImpl() throws ESBException {
		super();
	}

	public CDProviderEndpointImpl(ProviderEndpointType model, SOAElement<?> parent) throws ESBException {
		super(model, parent);
	
	}

}
